#include "copyright.h"

#define ORDER_SIZE 1


/* order functions */

void     at_order _PROTO((player * P, strlist ** s));
void     a_order _PROTO((player * P, strlist ** s));
void     b_order _PROTO((player * P, strlist ** s));
void     d_order _PROTO((player * P, strlist ** s));
void     e_order _PROTO((player * P, strlist ** s));
void     f_order _PROTO((player * P, strlist ** s));
void     i_order _PROTO((player * P, strlist ** s));
void     j_order _PROTO((player * P, strlist ** s));
void     l_order _PROTO((player * P, strlist ** s));
void     m_order _PROTO((player * P, strlist ** s));
void     o_order _PROTO((player * P, strlist ** s));
void     p_order _PROTO((player * P, strlist ** s));
void     q_order _PROTO((player * P, strlist ** s));
void     r_order _PROTO((player * P, strlist ** s));
void     s_order _PROTO((player * P, strlist ** s));
void     u_order _PROTO((player * P, strlist ** s));
void     w_order _PROTO((player * P, strlist ** s));
void     x_order _PROTO((player * P, strlist ** s));
void     y_order _PROTO((player * P, strlist ** s));
void     z_order _PROTO((player * P, strlist ** s));
void     c_order _PROTO((player * P, strlist ** s));
void     g_order _PROTO((player * P, strlist ** s));
void     n_order _PROTO((player * P, strlist ** s));
void     t_order _PROTO((player * P, strlist ** s));



typedef struct _orderinfo orderinfo;

#ifdef __STDC__
struct _orderinfo {
   char*     name;
   void      (*func)(player *, strlist **);
};
#else
struct _orderinfo {
   char*     name;
   void      (*func)();
};
#endif

orderinfo phase1orders[] = {
   { "@", at_order, },
   { "a", a_order, },
   { "b", b_order, },
   { "d", d_order, },
   { "e", e_order, },
   { "f", f_order, },
   { "i", i_order, },
   { "j", j_order, },
   { "l", l_order, },
   { "m", m_order, },
   { "o", o_order, },
   { "p", p_order, },
   { "q", q_order, },
   { "r", r_order, },
   { "s", s_order, },
   { "u", u_order, },
   { "w", w_order, },
   { "x", x_order, },
   { "y", y_order, },
   { "z", z_order, },
   { 0, 0, },
};

orderinfo phase2orders[] = {
   { "c", c_order, },
   { "g", g_order, },
   { "n", n_order, },
   { "t", t_order, },
   { 0, 0, },
};
